Package org.drinkless.tdlib

# Class TdApi.ReadFilePart

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FilePart>
org.drinkless.tdlib.TdApi.ReadFilePart

Enclosing class:
  TdApi

public static class TdApi.ReadFilePart extends TdApi.Function<TdApi.FilePart>
Reads a part of a file from the TDLib file cache and returns read bytes. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct read from the file.

Returns `FilePart`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `count`
  Number of bytes to read.
  `int`
  `fileId`
  Identifier of the file.
  `long`
  `offset`
  The offset from which to read the file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadFilePart()`
  Default constructor for a function, which reads a part of a file from the TDLib file cache and returns read bytes.
  `ReadFilePart(int fileId, long offset, long count)`
  Creates a function, which reads a part of a file from the TDLib file cache and returns read bytes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileId

    public int fileId
    Identifier of the file. The file must be located in the TDLib file cache.

  - ### offset

    public long offset
    The offset from which to read the file.

  - ### count

    public long count
    Number of bytes to read. An error will be returned if there are not enough bytes available in the file from the specified position. Pass 0 to read all available data from the specified position.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReadFilePart

    public ReadFilePart()
    Default constructor for a function, which reads a part of a file from the TDLib file cache and returns read bytes. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct read from the file.

    Returns `FilePart`

  - ### ReadFilePart

    public ReadFilePart(int fileId, long offset, long count)
    Creates a function, which reads a part of a file from the TDLib file cache and returns read bytes. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct read from the file.

    Returns `FilePart`

    Parameters:
      `fileId` - Identifier of the file. The file must be located in the TDLib file cache.
      `offset` - The offset from which to read the file.
      `count` - Number of bytes to read. An error will be returned if there are not enough bytes available in the file from the specified position. Pass 0 to read all available data from the specified position.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FilePart>`
    Returns:
      this.CONSTRUCTOR